package com.pj.bank_info;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: bank_info -- 银行回执信息表
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class BankInfoService extends ServiceImpl<BankInfoMapper, BankInfo> implements IService<BankInfo>{

	/** 底层 Mapper 对象 */
	@Autowired
	BankInfoMapper bankInfoMapper;

	/** 增 */
	void add(BankInfo t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(BankInfo b){
		updateById(b);

	}

	/** 查 */
	BankInfo getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<BankInfo> getList(SoMap so) {
		return bankInfoMapper.getList(so);
	}


}
